from setuptools import setup, find_packages

setup(
    name='PyPePacker',
    version="0.0.1",
    py_modules=['PyPePacker'],
    packages=find_packages(include=[]),
    install_requires=["PyPeLoader", "RC6Encryption", "EntropyEncoding"],
    scripts=[],
    author="Maurice Lambert",
    author_email="mauricelambert434@gmail.com",
    maintainer="Maurice Lambert",
    maintainer_email="mauricelambert434@gmail.com",
    description='This package implements a packer written in python, the packer reduce the size (gzip compression), encrypt data (RC6 encryption) and reduce data entropy (using EntropyEncoding).',
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/mauricelambert/PyPePacker",
    project_urls={
        "Github": "https://github.com/mauricelambert/PyPePacker",
        "Documentation": "https://mauricelambert.github.io/info/python/security/PyPePacker.html",
        "Python Executable": "https://mauricelambert.github.io/info/python/security/PyPePacker.pyz",
        "Windows Executable": "https://mauricelambert.github.io/info/python/security/PyPePacker.exe",
    },
    download_url="https://mauricelambert.github.io/info/python/security/PyPePacker.pyz",
    include_package_data=True,
    classifiers=[
        "Topic :: System",
        "Topic :: Security",
        "Environment :: Console",
        "Topic :: System :: Shells",
        'Operating System :: POSIX',
        "Natural Language :: English",
        "Topic :: System :: Networking",
        "Topic :: Internet :: WWW/HTTP",
        "Programming Language :: Python",
        "Intended Audience :: Developers",
        "Topic :: System :: System Shells",
        'Operating System :: MacOS :: MacOS X',
        "Programming Language :: Python :: 3.8",
        'Operating System :: Microsoft :: Windows',
        "Topic :: System :: Systems Administration",
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
    ],
    keywords=['Packer', 'PythonPacker', 'PePacker', 'RC6Packer', 'PackerLowEntropy', 'PackerGzip', 'PackerCompress', 'PackerEncryption'],
    platforms=['Windows', 'Linux', "MacOS"],
    license="GPL-3.0 License",
    entry_points = {
        'console_scripts': [
            'PyPePacker = PyPePacker:main'
        ],
    },
    python_requires='>=3.8',
)
